<?php
//Variables de personnalisation
	$theme= "digital";	//Choix du theme pour les chiffres (standard,digital)
	$taille_texte = 3;	//taille du texte
	$smiley = "images/smile_counter.gif";	//smiley PNG de 16*16 px
	$color_txt1 = array("0", "200", "0");	# couleur texte 1
	$color_txt2 = array("55", "165", "0");	# couleur texte 2
	$texte_1 = "Visites" ;	// Texte 1 : "xxxx `texte`"
	$texte_2 = "";			//Texte 2 : "ont visité <site>"
//Fin des variables de personnalisation

//Ne rien toucher en dessous si vous n'êtes pas sur

//Repertoir des différents fichiers
$fichier="compteur/count_visit.txt"; 
$ip_file = "compteur/ip_visi.txt";
$ip_long = ip2long($_SERVER['REMOTE_ADDR']);

// Lecture du nombre de visites à afficher
$file_handle = @fopen($fichier,"r");
   	$count = @fread($file_handle, 16) or die("Impossible de consulter le compteur");
	$count = (int) $count;
fclose($file_handle);

//Gestion de l'adresse ip
if(filesize($ip_file) >=240) // a remplacé a la place du zéro => 340 ) ( enregistre environ 30 IP différentes : après, on remet à 0.
{
	$file_handle = @fopen($ip_file,"w");
	fclose($file_handle);
}
$file_handle = @fopen($ip_file,"r");
	$list_ip = fread($file_handle, 500);
fclose($file_handle);

// On enregistre le premier hit de la session
if(!eregi("$ip_long;", $list_ip))
{

// Incrémente le compteur
   $count++;
   $file_handle = @fopen($fichier,"w");
   @fwrite($file_handle, $count) or die("impossible d'incrémenter le compteur");
   fclose($file_handle);
   
//On enregistre l'ip pour qu'elle ne soit plus compter lors de la prochaine visite.
	$file_handle = @fopen($ip_file,"a");
	@fwrite($file_handle, "$ip_long;") or die("Enregistrement de l'ip impossible");
	fclose($file_handle);
}

if ($count<10) {
	$nb="0000$count"; //Si le nombre de visite est inferieur à 10 on affiche 4 zéros
}
if 	($count>=10) {
	$nb="000$count";  //Si le nombre de visite est superieur ou égale à 10 on affiche 3 zéros
}
if ($count>=99) {
	$nb = "00$count";  //Si le nombre de visite est superieur ou égale à 99 on affiche 2 zéros
}
if ($count>=999) {
	$nb = "0$count";  //Si le nombre de visite est superieur ou égale à 999 on affiche 1 zéro
}
if ($count>=9999) {
	$nb = "$count";  //Si le nombre de visite est superieur ou égale à 9999 on n'affiche pas de zéro
}

$verif_c1 = substr("$nb", 0, 1);
$verif_c2 = substr("$nb", 1, 1);
$verif_c3 = substr("$nb", 2, 1);
$verif_c4 = substr("$nb", 3, 1);
$verif_c5 = substr("$nb", 4, 2);

 //print('<img src="'.$smiley.'" alt="VisualPreZZ" align="middle" />');
 print('');
?>